package lib.turtle;

import kernel.turtle.Types.InteractDirections;
import kernel.turtle.Types.TurtleSlot;

enum TurtleInstruction {
	Forward;
	Back;
	Up;
	Down;
	TurnLeft;
	TurnRight;
	Dig(dir:InteractDirections);
	Place(dir:InteractDirections);
	PlacseSign(dir:InteractDirections, text:String);
	Select(slot:TurtleSlot);
}
